cURL
curl --request POST \ --url https://api.siray.ai/v1/video/generations \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data ' { "aspect_ratio": "16:9", "duration": 5, "model": "kuaishou/kling-2.6-pro-t2v", "prompt": "example_value" } '
{ "code": "success", "data": { "task_id": "<string>" }, "message": "<string>" }
Bearer authentication using API key
Request payload
Request format for video generation models
Aspect ratio
16:9
9:16
1:1
Fixed duration
5
10
Model name to use for the request
kuaishou/kling-2.6-pro-t2v
Text prompt for generation
Successful response
Standard async task creation response
Status code returned by the service
"success"
Response payload containing task details
Show child attributes
Additional information about the request result